
Name:		scalapack_2.0.2
Version:	201702080754
Release:	hpe_hpcstack%{?dist}
Summary:	A subset of LAPACK routines redesigned for heterogenous computing

License:	netlib ScaLAPACK License
URL:		http://www.netlib.org/lapack-dev/
Source:	scalapack-2.0.2.tgz
Patch0:	scalapack-2.0.2.patch
Patch1:	SLmake.patch
Requires: environment-modules

AutoReqProv:	no

%define debug_package %{nil}
%define prefix        /opt/hpe/hpc/scalapack/2.0.2


%description

A subset of LAPACK routines redesigned for heterogenous computing

%prep
%setup -q -n scalapack-2.0.2
%patch -P 0
%patch -P 1

%build
mv SLmake.inc.example SLmake.inc
make lib

%check

%install

rm -rf %{buildroot}
mv -f /tmp/root/scalapack-2.0.2-46pFM4Evl %{buildroot}

rm -rf %{buildroot}/opt/hpe/hpc/scalapack/2.0.2
mkdir -p %{buildroot}/opt/hpe/hpc/scalapack/2.0.2/lib
cp -r /tmp/root/scalapack-2.0.2-ijC6yLVLk/BUILD/scalapack-2.0.2/libscalapack* %{buildroot}/opt/hpe/hpc/scalapack/2.0.2/lib

mkdir -p %{buildroot}/opt/hpe/hpc/modules/scalapack
cat >%{buildroot}/opt/hpe/hpc/modules/scalapack/2.0.2 <<EOF
#%Module1.0

# Module file for scalapack-2.0.2


proc ModulesHelp { } {
        puts stderr "Set up the paths for scalapack-2.0.2"
}

prepend-path PATH /opt/hpe/hpc/scalapack/2.0.2/bin
prepend-path LD_LIBRARY_PATH /opt/hpe/hpc/scalapack/2.0.2/lib
setenv SCALAPACK_PATH /opt/hpe/hpc/scalapack/2.0.2
EOF


mkdir -p  %{buildroot}/opt/hpe/hpc/test/installation_validation/scalapack/2.0.2/
cp /tmp/root/scalapack-2.0.2-ijC6yLVLk/TESTS/scalapack.ivp %{buildroot}/opt/hpe/hpc/test/installation_validation/scalapack/2.0.2/ || true
chmod +x %{buildroot}/opt/hpe/hpc/test/installation_validation/scalapack/2.0.2/* || true

%clean
rm -rf %{buildroot}





%files
%defattr(-,root,root,-)
%{prefix}/*
/opt/hpe/hpc/modules
/opt/hpe/hpc/test

%changelog
